Page MenuHomePhabricator

Many "Error: 2013 Lost connection to MySQL server during query" during global rename
Closed, ResolvedPublic

Description

2015-01-25 01:22:35 mw1012 cdowiki: [fbedcc8a] /rpc/RunJobs.php?wiki=cdowiki&type=LocalRenameUserJob&maxtime=60&maxmem=300M DBQueryError from line 1259 of /srv/mediawiki/php-1.25wmf14/includes/db/Database.php: A database error has occurred. Did you forget to run maintenance/update.php after upgrading? See: https://www.mediawiki.org/wiki/Manual:Upgrading#Run_the_update_script
Query: UPDATE renameuser_status SET ru_status = 'inprogress' WHERE (ru_oldname = 'Gray eyes' OR ru_newname = 'Gray eyes') AND ru_wiki = 'cdowiki'
Function: GlobalRenameUserStatus::setStatus
Error: 2013 Lost connection to MySQL server during query (10.64.16.22)

legoktm@fluorine:/a/mw-log$ grep "Gray eyes" exception.log | wc -l
208

All the queries are the same except for the ru_wiki field.

Event Timeline

Legoktm created this task.Jan 25 2015, 1:33 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: Legoktm, Springle, hoo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 25 2015, 1:33 AM
revi added a subscriber: revi.Jan 25 2015, 2:39 AM
Aklapper triaged this task as Normal priority.Jan 27 2015, 10:07 PM

Change 192212 had a related patch set uploaded (by Hoo man):
Use onTransactionPreCommitOrIdle in GlobalRenameUserStatus

https://gerrit.wikimedia.org/r/192212

Patch-For-Review

hoo added a comment.Feb 22 2015, 8:28 PM
2015-02-22 19:20:06 mw1009 tawiki: [d7a20a15] /rpc/RunJobs.php?wiki=tawiki&type=LocalRenameUserJob&maxtime=30&maxmem=300M   DBQueryError from line 1251 of /srv/mediawiki/php-1.25wmf17/includes/db/Database.php: A database error has occurred. Did you forget to run maintenance/update.php after upgrading?  See: https://www.mediawiki.org/wiki/Manual:Upgrading#Run_the_update_script
Query: UPDATE  `renameuser_status` SET ru_status = 'inprogress' WHERE (ru_oldname = 'Eurohunter' OR ru_newname = 'Eurohunter') AND ru_wiki = 'tawiki'
Function: GlobalRenameUserStatus::setStatus
Error: 1205 Lock wait timeout exceeded; try restarting transaction (10.64.16.22)
Savh added a subscriber: Savh.Feb 22 2015, 8:42 PM

Change 192212 merged by jenkins-bot:
Use onTransactionPreCommitOrIdle in GlobalRenameUserStatus

https://gerrit.wikimedia.org/r/192212

hoo closed this task as Resolved.Feb 23 2015, 1:56 PM
hoo claimed this task.